ObertObert
Tracker

Update Profile

PATCH
/api/tracker/profiles/{profile_id}
AuthorizationBearer <token>

In: header

Path Parameters

profile_idstring

Header Parameters

x-tenant-id?string|null
like_modestring
Value in"all" | "posts" | "comments"

Response Body

application/json

application/json

curl -X PATCH "https://api.obert.io/api/tracker/profiles/string" \  -H "Content-Type: application/json" \  -d '{    "like_mode": "all"  }'
{
  "id": "string",
  "tenant_id": "string",
  "linkedin_profile_url": "string",
  "linkedin_provider_id": "string",
  "lead_id": "string",
  "like_mode": "all",
  "name": "string",
  "headline": "string",
  "company": "string",
  "profile_picture_url": "string",
  "is_active": true,
  "last_checked_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "list_scores": [],
  "current_account": {
    "account_id": "string",
    "name": "string",
    "logo_url": "string",
    "linkedin_url": "string",
    "linkedin_username": "string",
    "industry": "string",
    "staff_count_range": "string",
    "title": "string",
    "tagline": "string",
    "founded_year": 0,
    "description": "string",
    "location": "string"
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}